सामग्री पर जाएँ

Vidu · Q3 · Reference to Video · Mix

इंटीग्रेट करें

मॉडल id vidu/q3/reference-to-video/mix
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/reference-to-video/mix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.77 770 API क्रेडिट · ≈ ₽82.84 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Vidu रेफ़रेंस से वीडियो रेफ़रेंस इनपुट1–16 s1080p तक

Q3 रेफ़रेंस-टू-वीडियो, जिसमें 1-4 संदर्भ इमेज, पाँच आस्पेक्ट रेशियो, अधिकतम 16 सेकंड और ऑडियो होता है

Vidu · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 2000

वीडियो निर्माण के लिए टेक्स्ट निर्देश, अधिकतम 2000 अक्षर।

•आवश्यक reference_image_urls
फ़ाइल ड्रॉप करें, या

Subject या scene consistency references, 1 से 4 की संख्या में इमेज URLs के रूप में दिए गए।

aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का aspect ratio।

resolution डिफ़ॉल्ट 720p

परिणामी वीडियो का रिज़ॉल्यूशन।

डिफ़ॉल्ट 5

वीडियो की लंबाई सेकंड में, Q3 मॉडल के लिए 1 से 16 तक।

उन्नत seed · audio

निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।

POST /run/vidu/q3/reference-to-video/mix?wait=20 कोटेशन → $0.77
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/reference-to-video/mix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Vidu · Q3 · Reference to Video · Mix के बारे में

आवश्यक `prompt` (अधिकतम 2000 वर्ण) और विषयों या दृश्यों की निरंतरता बनाए रखने वाली 1 से 4 `reference_image_urls` से वीडियो बनाता है। `duration` 1-16 सेकंड, `resolution` 360p से 1080p, और `aspect_ratio` 16:9, 9:16, 4:3, 3:4 या 1:1 होता है। `audio` डिफ़ॉल्ट रूप से चालू रहता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 2,000 अक्षर
वीडियो निर्माण के लिए टेक्स्ट निर्देश, अधिकतम 2000 अक्षर।
reference_image_urlsआवश्यक images
प्रकारurl[] · image
Subject या scene consistency references, 1 से 4 की संख्या में इमेज URLs के रूप में दिए गए।
durationवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट5
1 – 16
वीडियो की लंबाई सेकंड में, Q3 मॉडल के लिए 1 से 16 तक।
seedवैकल्पिक
प्रकारinteger | null
निर्माण को पुनरुत्पाद्य बनाने वाली सीड। इसे None पर सेट करने से सीड यादृच्छिक रूप से चुनी जाती है।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:164:33:41:1
आउटपुट वीडियो का aspect ratio।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
360p540p720p1080p
परिणामी वीडियो का रिज़ॉल्यूशन।
audioवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
इसे true सेट करके direct audio-video निर्माण के माध्यम से वीडियो के साथ sound generate करें।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "vidu/q3/reference-to-video/mix",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 770,
    "usd": "0.77",
    "charged": 770,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}Reference इमेज का उपयोग करके Q3 मॉडल द्वारा बनाया गया वीडियो।

और मॉडल: रेफ़रेंस से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/vidu/q3/reference-to-video/mix.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt